import { jsx as ___EmotionJSX } from "@emotion/core";
import PropTypes from 'prop-types';
import React from 'react';
import { TransitionGroup } from 'react-transition-group';
import { CenteredErrorList, ErrorList, ErrorItem } from './style';
import HelperTransition from '../../utils/helperTransition';
import formatError from './formatError';

var BulkErrors = function BulkErrors(_ref) {
  var errors = _ref.errors,
      centered = _ref.centered;
  var errorKeys = Object.keys(errors);
  var showErrors = errorKeys.length > 0;
  return ___EmotionJSX(TransitionGroup, {
    component: centered ? CenteredErrorList : ErrorList
  }, showErrors && errorKeys.map(function (key) {
    return ___EmotionJSX(HelperTransition, {
      key: key
    }, ___EmotionJSX(ErrorItem, null, formatError(errors[key])));
  }));
};

BulkErrors.propTypes = {
  centered: PropTypes.bool,
  errors: PropTypes.objectOf(PropTypes.oneOfType([PropTypes.string, PropTypes.arrayOf(PropTypes.string)]))
};
BulkErrors.defaultProps = {
  centered: false,
  errors: {}
};
export default BulkErrors;