import { jsx as ___EmotionJSX } from "@emotion/core";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import { ClickableContainer, FlexContainer, Text, IconWrapper, CheckmarkWrapper } from './style';
import CheckmarkIcon from '../../svgs/icons/checkmark-icon.svg';

var OptionButton = function OptionButton(_ref) {
  var icon = _ref.icon,
      text = _ref.text,
      onClick = _ref.onClick,
      optionType = _ref.optionType,
      selected = _ref.selected,
      type = _ref.type,
      rest = _objectWithoutProperties(_ref, ["icon", "text", "onClick", "optionType", "selected", "type"]);

  return ___EmotionJSX(ClickableContainer, _extends({
    onClick: onClick,
    type: "clickable",
    tabIndex: "0"
  }, rest), ___EmotionJSX(FlexContainer, null, icon ? ___EmotionJSX(IconWrapper, {
    selected: selected,
    optionType: optionType,
    type: type
  }, selected ? ___EmotionJSX(CheckmarkIcon, {
    width: 16,
    height: 16
  }) : icon) : ___EmotionJSX(CheckmarkWrapper, {
    selected: selected,
    optionType: optionType,
    type: type
  }, ___EmotionJSX(CheckmarkIcon, {
    width: 16,
    height: 16
  })), ___EmotionJSX(Text, {
    type: type
  }, text)));
};

OptionButton.propTypes = {
  icon: PropTypes.node,
  text: PropTypes.string.isRequired,
  onClick: PropTypes.func.isRequired,
  optionType: PropTypes.oneOf(['radio', 'checkbox']).isRequired,
  selected: PropTypes.bool,
  type: PropTypes.oneOf(['primary', 'secondary'])
};
OptionButton.defaultProps = {
  type: 'primary',
  selected: false
};
export default OptionButton;