import { jsx as ___EmotionJSX } from "@emotion/core";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import { COLORS, PROGRESS_BAR_STATUS } from '../../constants';
import { OuterContainer, InnerBar } from './style';

var ProgressBar = function ProgressBar(_ref) {
  var backgroundColor = _ref.backgroundColor,
      barColor = _ref.barColor,
      height = _ref.height,
      loadingTime = _ref.loadingTime,
      status = _ref.status,
      rest = _objectWithoutProperties(_ref, ["backgroundColor", "barColor", "height", "loadingTime", "status"]);

  return ___EmotionJSX(OuterContainer, _extends({
    status: status,
    height: height,
    backgroundColor: backgroundColor
  }, rest), ___EmotionJSX(InnerBar, {
    status: status,
    height: height,
    barColor: barColor,
    loadingTime: loadingTime
  }));
};

ProgressBar.defaultProps = {
  backgroundColor: COLORS.background,
  barColor: COLORS.primary,
  height: 4,
  loadingTime: '20s'
};
ProgressBar.propTypes = {
  backgroundColor: PropTypes.string,
  barColor: PropTypes.string,
  height: PropTypes.number,
  loadingTime: PropTypes.string,
  status: PropTypes.oneOf([PROGRESS_BAR_STATUS.loading, PROGRESS_BAR_STATUS.success, PROGRESS_BAR_STATUS.error]).isRequired
};
export default ProgressBar;